<?php
	function get($a,$b,$c){
	     $y = explode($b,$a);
	     $x = explode($c,$y[1]);
		return $x[0];
	}

	if ($_SERVER['REQUEST_METHOD']=="POST") {
		$required=Array("username","password","rpassword","usid");
		foreach($required as $require) {
			if (!isset($_POST[$require]) || empty($_POST[$require])) {
				echo "Please fill in all the required fields!<br>";
				echo "Please use the back button on your browser to try again.";
				exit;
			}
		}
		if ($_POST["password"]!==$_POST['rpassword']) {
			echo "Please make sure the passwords match in both fields!<br>";
			echo "Please use the back button on your browser to try again.";
			exit;
		}
		if (!is_numeric($_POST['usid']) || $_POST['usid']<1 || $_POST['usid']>999999) {
			echo "Please type in a valid USID!<br>";
			echo "Please use the back button on your browser to try again.";
			exit;
		}
		if (file_exists("Registered/".$_POST['usid'])) {
			echo "Please enter a USID that is not already registered!<br>";
			echo "Please use the back button on your browser to try again.";
			exit;
		}
		if (isset($_POST['hash']) && $_POST['hash']==md5(crypt(crypt($_POST['username'],$_POST['password']),$_POST['usid']))) {
			$username=file_get_contents("http://www.unrealsoftware.de/inc_pub/userinfo.php?id=".$_POST['usid']);
			$username=get($username,'<h2>','<img class="fmi" ');
			$confirmed=file_get_contents("http://www.unrealsoftware.de/connect.php?keyof=".urlencode($username)."&iskey=".$_POST['hash']);
			if ($confirmed=="1") {
				$file=fopen("Registered/".$_POST['usid'],"w");
				fwrite($file,json_encode($_POST));
				fclose($file);
				echo "Omedetou Gozaimasu! You have been registered.";
				exit;
			} else {
				echo "Please click on the link before clicking register.<br><br>";
			}
		}
		?>
			<form action="<?php echo $_SERVER['SCRIPT_NAME'];?>" method="POST">
				<?php
					foreach($required as $require) {
						?>
						<input type="hidden" name="<?php echo $require;?>" value="<?php echo htmlentities($_POST[$require]);?>" />
						<?php
					}
					$hash=md5(crypt(crypt($_POST['username'],$_POST['password']),$_POST['usid']));
					?>
					Please click <a target="_BLANK" href="<?php echo "http://www.unrealsoftware.de/connect.php?setkey=".$hash;?>">HERE</a> to confirm your USID.<br>
					Afterwards, click on the register button below.<br><br>
					<input type="hidden" name="hash" value="<?php echo $hash;?>" />
					<input type="submit" value="Register" />
			</form>
		<?php
		exit;
	}
?>

<form action="<?php echo $_SERVER['SCRIPT_NAME'];?>" method="POST">
	Username: <input type="text" name="username" /> (NOT your unrealsoftware name)<br><br>
	Password: <input type="password" name="password" /> (NOT your unrealsoftware pass)<br><br>
	Repeat Password: <input type="password" name="rpassword" /><br><br>
	USID: <input type="text" name="usid" /><br><br>
	<input type="submit" value="Register"><input type="reset" value="Clear Fields" />
</form>
